package com.cebbank.mft.client;

import com.cebbank.mft.client.shell.admline.Cmd;
import com.cebbank.mft.client.shell.admline.support.job.CancelJob;
import com.cebbank.mft.client.shell.admline.support.job.DisplayJob;
import com.cebbank.mft.client.shell.admline.support.job.ListJob;
import com.cebbank.mft.client.shell.admline.support.job.PauseJob;
import com.cebbank.mft.client.shell.admline.support.job.PurgeJob;
import com.cebbank.mft.client.shell.admline.support.job.ResumeJob;
import com.cebbank.mft.client.shell.admline.support.site.AddSite;
import com.cebbank.mft.client.shell.admline.support.site.ChangeKeyPair;
import com.cebbank.mft.client.shell.admline.support.site.ChangePassword;
import com.cebbank.mft.client.shell.admline.support.site.DelSite;
import com.cebbank.mft.client.shell.admline.support.site.ListLoginSite;
import com.cebbank.mft.client.shell.admline.support.site.ListSite;
import com.cebbank.mft.client.shell.admline.support.site.LoginSite;
import com.cebbank.mft.client.shell.admline.support.site.LogoutSite;
import com.cebbank.mft.client.shell.admline.support.site.UpdatePrivateKey;
import com.cebbank.mft.client.shell.admline.support.site.UpdateSite;
import com.cebbank.mft.client.shell.admline.support.timetask.AddTimingTask;
import com.cebbank.mft.client.shell.admline.support.timetask.DelTimingTask;
import com.cebbank.mft.client.shell.admline.support.timetask.ListTimingTask;
import com.cebbank.mft.client.shell.admline.support.timetask.SwitchTimingTask;
import com.cebbank.mft.client.shell.admline.support.timetask.UpdateTimingTask;
import com.cebbank.mft.client.shell.admline.support.update.CheckUpdate;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class AdmCmd {

   private static final Logger log = LogManager.getLogger(AdmCmd.class);
   private static Map cmdMap = new LinkedHashMap();


   private static void printHelpString() {
      System.out.println("These are all commands:\n");
      Iterator var0 = cmdMap.values().iterator();

      while(var0.hasNext()) {
         Cmd cmd = (Cmd)var0.next();
         System.out.println(cmd.cmdUsage());
      }

   }

   public static void main(String[] args) {
      if(args.length < 1) {
         printHelpString();
      } else {
         String var1 = args[0];
         byte var2 = -1;
         switch(var1.hashCode()) {
         case 1333069025:
            if(var1.equals("--help")) {
               var2 = 0;
            }
         default:
            switch(var2) {
            case 0:
               printHelpString();
               break;
            default:
               Cmd cmd = (Cmd)cmdMap.get(args[0]);
               if(cmd == null) {
                  System.out.println("Unknown Command: " + args[0]);
                  System.exit(1);
               } else if(!cmd.doCmd(args)) {
                  System.out.println(cmd.cmdUsage());
                  System.exit(1);
               }
            }

         }
      }
   }

   static {
      AddSite addSite = new AddSite();
      UpdateSite updateSite = new UpdateSite();
      DelSite delSite = new DelSite();
      UpdatePrivateKey updatePrivateKey = new UpdatePrivateKey();
      ChangePassword changePassword = new ChangePassword();
      ChangeKeyPair changeKeyPair = new ChangeKeyPair();
      ListSite listSite = new ListSite();
      ListLoginSite listLoginSite = new ListLoginSite();
      LoginSite loginSite = new LoginSite();
      LogoutSite logoutSite = new LogoutSite();
      AddTimingTask addTimingTask = new AddTimingTask();
      UpdateTimingTask updateTimingTask = new UpdateTimingTask();
      DelTimingTask delTimingTask = new DelTimingTask();
      ListTimingTask listTimingTask = new ListTimingTask();
      SwitchTimingTask switchTimingTask = new SwitchTimingTask();
      ListJob listJob = new ListJob();
      DisplayJob displayJob = new DisplayJob();
      PauseJob pauseJob = new PauseJob();
      CancelJob cancelJob = new CancelJob();
      ResumeJob resumeJob = new ResumeJob();
      PurgeJob purgeJob = new PurgeJob();
      CheckUpdate checkUpdate = new CheckUpdate();
      cmdMap.put(addSite.cmdName(), addSite);
      cmdMap.put(updateSite.cmdName(), updateSite);
      cmdMap.put(delSite.cmdName(), delSite);
      cmdMap.put(updatePrivateKey.cmdName(), updatePrivateKey);
      cmdMap.put(changePassword.cmdName(), changePassword);
      cmdMap.put(changeKeyPair.cmdName(), changeKeyPair);
      cmdMap.put(listSite.cmdName(), listSite);
      cmdMap.put(listLoginSite.cmdName(), listLoginSite);
      cmdMap.put(loginSite.cmdName(), loginSite);
      cmdMap.put(logoutSite.cmdName(), logoutSite);
      cmdMap.put(addTimingTask.cmdName(), addTimingTask);
      cmdMap.put(updateTimingTask.cmdName(), updateTimingTask);
      cmdMap.put(delTimingTask.cmdName(), delTimingTask);
      cmdMap.put(listTimingTask.cmdName(), listTimingTask);
      cmdMap.put(switchTimingTask.cmdName(), switchTimingTask);
      cmdMap.put(listJob.cmdName(), listJob);
      cmdMap.put(displayJob.cmdName(), displayJob);
      cmdMap.put(pauseJob.cmdName(), pauseJob);
      cmdMap.put(cancelJob.cmdName(), cancelJob);
      cmdMap.put(resumeJob.cmdName(), resumeJob);
      cmdMap.put(pauseJob.cmdName(), pauseJob);
      cmdMap.put(purgeJob.cmdName(), purgeJob);
      cmdMap.put(checkUpdate.cmdName(), checkUpdate);
   }
}
